FolksDummy.FullPersona.update_gender – folks-dummy Reference Manual

# update_gender

## Description:

public void update_gender (Gender gender)

Update persona's gender.

This simulates a backing-store-side update of the persona's Folks.GenderDetails.gender property. It is intended to be used for testing code which consumes this property. If the property value changes, this results in a property change notification on the persona.

## Parameters:

gender | persona's new gender

## Since:

0.9.7